org.freedesktop.cairo

## Class Filter

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.cairo.Filter

-     public class Filter
      extends org.freedesktop.bindings.Constant

  Used to specify the filtering that should be applied when reading pixel values from patterns. See Pattern's `setFilter()` for specifying the desired filter to be used with a particular pattern.
  Since:
    4.0.20
  Author:
    Will Temperley

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Filter` | `BEST` The highest-quality available, performance may not be suitable for interactive use
    `static Filter` | `BILINEAR` Linear interpolation in two dimensions
    `static Filter` | `FAST` A high-performance filter, with quality similar to `NEAREST`
    `static Filter` | `GAUSSIAN` This filter value is currently unimplemented, and should not be used in current code.
    `static Filter` | `GOOD` A reasonable-performance filter, with quality similar to `BILINEAR`
    `static Filter` | `NEAREST` Nearest-neighbour filtering

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BEST

          public static final Filter BEST

      The highest-quality available, performance may not be suitable for interactive use

    - #### BILINEAR

          public static final Filter BILINEAR

      Linear interpolation in two dimensions

    - #### FAST

          public static final Filter FAST

      A high-performance filter, with quality similar to `NEAREST`

    - #### GAUSSIAN

          public static final Filter GAUSSIAN

      This filter value is currently unimplemented, and should not be used in current code.

    - #### GOOD

          public static final Filter GOOD

      A reasonable-performance filter, with quality similar to `BILINEAR`

    - #### NEAREST

          public static final Filter NEAREST

      Nearest-neighbour filtering